712866
From 1b23c6c65c39630cb62faa2503817759f83d880b Mon Sep 17 00:00:00 2001
712866
From: Harald Hoyer <harald@redhat.com>
712866
Date: Wed, 17 Aug 2016 16:41:21 +0200
712866
Subject: [PATCH] url-lib: ca-bundle.crt changed to a symlink
712866
712866
use inst() instead of inst_simple()
712866
712866
/etc/pki/tls/certs/ca-bundle.crt is a symlink to
712866
../../ca-trust/extracted/pem/tls-ca-bundle.pem
712866
712866
with inst() we install the original file also.
712866
712866
https://bugzilla.redhat.com/show_bug.cgi?id=1341280
712866
---
712866
 modules.d/45url-lib/module-setup.sh | 2 +-
712866
 1 file changed, 1 insertion(+), 1 deletion(-)
712866
712866
diff --git a/modules.d/45url-lib/module-setup.sh b/modules.d/45url-lib/module-setup.sh
5c6c2a
index f2d068b3..6a2bb832 100755
712866
--- a/modules.d/45url-lib/module-setup.sh
712866
+++ b/modules.d/45url-lib/module-setup.sh
712866
@@ -28,7 +28,7 @@ install() {
712866
             _crt=$(grep -F --binary-files=text -z .crt $_lib)
712866
             [[ $_crt ]] || continue
712866
             [[ $_crt == /*/* ]] || continue
712866
-            if ! inst_simple "$_crt"; then
712866
+            if ! inst "$_crt"; then
712866
                 dwarn "Couldn't install '$_crt' SSL CA cert bundle; HTTPS might not work."
712866
                 continue
712866
             fi